<?php
declare(strict_types=1);


namespace ImageResizer\Lib;

use ImageResizer\Models\Image;
use ImageResizer\Models\ResizeParams;

interface ImageDb
{
    public function findImage(string $path, ResizeParams $params): Image|null;

    public function saveImage(
        string       $path,
        ResizeParams $params,
        string       $content,
    ): void;
}